# R2RML Mappings to Uplift 1Spatial Metrics to Linked Data

The main focus of this task is to map the results of the 1Spatial database into Linked Data format by uplifting the quality rules defined for the PRIME2 dataset. In order to achieve this goal, 1Spatial rules were analyzed and then R2RML mappings were created to enable creation of a Linked Data representation of the rules results and the quality schema.

Created mappings can be used to extract existing data and produce outputs as RDF files by using [this](https://opengogs.adaptcentre.ie/debruync/r2rml) tool.

From 1Spatial tables, two different kinds of data are extracted:
* A schema highlighting the category, dimension and metric, based on daQ. This is required to give understanding to the data which is produced using the validation feature table. Integrating UI can allow the uplifted data to be visualized from the 1Spatial data. 
* The quality observations, i.e. the quality metadata. This is produced by extracting and inferring quality values from both tables.

A configuration file is needed to use the abovementioned tool and they are included for each mapping in their folder.


## Pre-requisites
- [OSi Dashboard](https://opengogs.adaptcentre.ie/OrdnanceSurveyIreland-OSi/OSiDashboard)


## Steps to Follow
- Install OSi Dashboard
- Upload the schema and data observation files to the dashboard


## License

The source code for the site is licensed under the MIT license.

Copyright <2022> <DCU>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.




